<?php
/**
 * section header main navigation
 *
 * @package MatrixAddons
 * @subpackage trainify
 * @since 1.0.0
 */
$wp_customize->add_section(
	'trainify_header_main_navigation',
	array(
		'title'    => esc_html__( 'Main Navigation', 'trainify' ),
		'priority' => 80,
		'panel'    => 'site_header_panel'
	)
);


/**
 * Switch option for Home Icon
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
	'trainify_menu_sticky_option',
	array(
		'default'           => 'show',
		'sanitize_callback' => 'sanitize_trainify_show_hide',
	)
);
$wp_customize->add_control( 
	new TrainifyFramework_Customize_Switch_Control(
		$wp_customize,
		'trainify_menu_sticky_option',
		array(
			'type'        => 'switch',
			'label'       => esc_html__( 'Sticky Menu', 'trainify' ),
			'description' => esc_html__( 'Enable/Disable option for sticky menu.', 'trainify' ),
			'section'     => 'trainify_header_main_navigation',
			'choices'     => array(
				'show' => esc_html__( 'Enable', 'trainify' ),
				'hide' => esc_html__( 'Disable', 'trainify' )
			),
			'priority'    => 10,
		)
	)
);

/**
 * Switch option for Search Icon
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
	'trainify_search_icon_option',
	array(
		'default'           => 'show',
		'sanitize_callback' => 'sanitize_trainify_show_hide',
	)
);
$wp_customize->add_control( 
	new TrainifyFramework_Customize_Switch_Control(
		$wp_customize,
		'trainify_search_icon_option',
		array(
			'type'        => 'switch',
			'label'       => esc_html__( 'Search Icon', 'trainify' ),
			'description' => esc_html__( 'Show/Hide option for search icon at primary menu.', 'trainify' ),
			'section'     => 'trainify_header_main_navigation',
			'choices'     => array(
				'show' => esc_html__( 'Show', 'trainify' ),
				'hide' => esc_html__( 'Hide', 'trainify' )
			),
			'priority'    => 20,
		)
	)
);

/**
 * Enable round navigation
 *
 * @since 1.0.0
 */
/*$wp_customize->add_setting(
	'harmoclass_logo_on_navigation',
	array(
		'default'           => 'disable',
		'sanitize_callback' => 'sanitize_trainify_enable_disable',
	)
);
$wp_customize->add_control( 
	new TrainifyFramework_Customize_Switch_Control(
		$wp_customize,
		'harmoclass_logo_on_navigation',
		array(
			'type'        => 'switch',
			'label'       => esc_html__( 'Logo on navigation?', 'trainify' ),
			'description' => esc_html__( 'Show/Hide option for search icon at primary menu.', 'trainify' ),
			'section'     => 'trainify_header_main_navigation',
			'choices'     => array(
				'enable' => esc_html__( 'Enable', 'trainify' ),
				'disable' => esc_html__( 'Disable', 'trainify' )
			),
			'priority'    => 30,
		)
	)
);*/
